<template>
  <q-page class="row items-center justify-evenly">
    <div> {{  }}</div>
    <q-btn
    @click="login"
    >login</q-btn>
  </q-page>
</template>

<script setup lang="ts">
// import { ref } from 'vue';
import { useTaskTemplateStore } from 'stores/template-store';

  async function login() {
    try {
      const taskTemplateStore = useTaskTemplateStore();
      await taskTemplateStore.getTaskTemplates();
      console.log('ok')
    } catch (e) {
      console.log('error: ' + e)
    }
  }

</script>
